> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get margin interest rates

> Get spot margin interest rate

**Limit 10 requests per 60 seconds**

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                  "token": "MATIC",
                  "currentHourlyBaseRate": "0.000001",
                  "estHourlyBaseRate": "0.000001",
                  "currentAnnualBaseRate": "0.00876",
                  "estAnnualBaseRate": "0.00876",
                  "estTime": 1632394800000
              },
              {
                  "token": "USDT",
                  "currentHourlyBaseRate": "0.000008",
                  "estHourlyBaseRate": "0.000008",
                  "currentAnnualBaseRate": "7008",
                  "estAnnualBaseRate": "0.07008%",
                  "estTime": 1632394800000
              },
              {
                  "token": "WOO",
                  "currentHourlyBaseRate": "0.00001",
                  "estHourlyBaseRate": "0.00001",
                  "currentAnnualBaseRate": "0.0876",
                  "estAnnualBaseRate": "0.0876",
                  "estTime": 1632394800000
              },
              ...
          ]
      },
      "timestamp": 1721351502594
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/spotMargin/interestRate
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/spotMargin/interestRate:
    get:
      description: Get spot margin interest rate
      parameters:
        - $ref: '#/components/parameters/ApiKeyHeader'
        - $ref: '#/components/parameters/SignatureHeader'
        - $ref: '#/components/parameters/TimestampHeader'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InterestRateResponse'
      security: []
components:
  parameters:
    ApiKeyHeader:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: abcdef123456
      description: api-key
    SignatureHeader:
      name: x-api-signature
      in: header
      required: true
      schema:
        type: string
        example: signaturestring
      description: api-signature
    TimestampHeader:
      name: x-api-timestamp
      in: header
      required: true
      schema:
        type: string
        example: '1718943200000'
      description: api-timestamp
  schemas:
    InterestRateResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      token:
                        type: string
                        description: The token symbol, e.g., 'MATIC'.
                      currentHourlyBaseRate:
                        type: string
                        description: The current hourly base rate for the token.
                      estHourlyBaseRate:
                        type: string
                        description: The estimated hourly base rate for the token.
                      currentAnnualBaseRate:
                        type: string
                        description: The current annual base rate for the token.
                      estAnnualBaseRate:
                        type: string
                        description: The estimated annual base rate for the token.
                      estTime:
                        type: integer
                        description: The estimated time in Unix timestamp (milliseconds).
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````